Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRPrintLine

All Superinterfaces:
  JRCommonElement, JRCommonGraphicElement, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPropertiesHolder, JRStyleContainer

All Known Implementing Classes:
  JRBasePrintLine, JRTemplatePrintLine

    public interface JRPrintLine

extends JRPrintGraphicElement

Version:
  $Id: JRPrintLine.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`byte` | `getDirection()` Deprecated. Replaced by `getDirectionValue()`.
`LineDirectionEnum` | `getDirectionValue()` Gets the line direction.
`void` | `setDirection(byte direction)` Deprecated. Replaced by `setDirection(LineDirectionEnum)`.
`void` | `setDirection(LineDirectionEnum lineDirectionEnum)` Sets the line direction.

Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement
`getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`accept, getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Method Detail

### getDirection

    byte getDirection()

  Deprecated. Replaced by `getDirectionValue()`.

### setDirection

    void setDirection(byte direction)

  Deprecated. Replaced by `setDirection(LineDirectionEnum)`.

### getDirectionValue

    LineDirectionEnum getDirectionValue()

  Gets the line direction.

  Returns:
    a value representing one of the line direction constants in `LineDirectionEnum`

### setDirection

    void setDirection(LineDirectionEnum lineDirectionEnum)

  Sets the line direction.

  Parameters:
    `lineDirectionEnum` - a value representing one of the line direction constants in `LineDirectionEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com